# DebugCameraPrimitive

#### new Cesium.DebugCameraPrimitive(options)
Scene/DebugCameraPrimitive.js 60

Draws the outline of the camera's view frustum.

Name | Type | Description
--- | --- | ---

`options`

Object

Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`camera` | Camera |  | The camera.
`color` | Color | `Color.CYAN` | optional The color of the debug outline.
`updateOnChange` | Boolean | `true` | optional Whether the primitive updates when the underlying camera changes.
`show` | Boolean | `true` | optional Determines if this primitive will be shown.
`id` | Object |  | optional A user-defined object to return when the instance is picked with `Scene#pick`.

##### Example:

    primitives.add(new Cesium.DebugCameraPrimitive({
      camera : camera,
      color : Cesium.Color.YELLOW
    }));

### Members

#### id : *
Scene/DebugCameraPrimitive.js 89

User-defined value returned when the primitive is picked.

Default Value: `undefined`

##### See:

- Scene#pick

#### show : Boolean
Scene/DebugCameraPrimitive.js 79

Determines if this primitive will be shown.

Default Value: `true`

### Methods

#### destroy()
Scene/DebugCameraPrimitive.js 256

Destroys the WebGL resources held by this object. Destroying an object allows for deterministic release of WebGL resources, instead of relying on the garbage collector to destroy this object.

Once an object is destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception. Therefore, assign the return value (`undefined`) to the object as done in the example.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.

##### Example:

    p = p && p.destroy();

##### See:

- DebugCameraPrimitive#isDestroyed

#### isDestroyed() → Boolean
Scene/DebugCameraPrimitive.js 236

Returns true if this object was destroyed; otherwise, false.

If this object was destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception.

##### Returns:

`true` if this object was destroyed; otherwise, `false`.

##### See:

- DebugCameraPrimitive#destroy